Name:		squashfs-tools
Version:	4.4
Release:	%mkrel 3.git1
Summary:	Utilities for the creation of compressed squashfs images
License:	GPLv2+
Group:		File tools
URL:		https://github.com/plougher/squashfs-tools
#Source0:	https://github.com/plougher/squashfs-tools/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source: 4.4-git.1.tar.gz
# upstream fixes:

# Mageia patches:


BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libattr)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	libzstd-devel

%description
Squashfs is a highly compressed read-only filesystem for Linux.  This package
contains the utilities for manipulating squashfs filesystems.

%prep
%autosetup -p 1 -n %{name}-4.4-git.1

%build
pushd squashfs-tools
CFLAGS="%{optflags}" \
%make_build \
      XZ_SUPPORT=1 \
      LZMA_XZ_SUPPORT=1 \
      LZO_SUPPORT=1 \
      LZ4_SUPPORT=1 \
      ZSTD_SUPPORT=1 \
      COMP_DEFAULT=zstd

%install
install -d %{buildroot}%{_bindir}
install -m 755 squashfs-tools/mksquashfs %{buildroot}%{_bindir}/mksquashfs
install -m 755 squashfs-tools/unsquashfs %{buildroot}%{_bindir}/unsquashfs

%files
%doc CHANGES README-%{version}
%{_bindir}/mksquashfs
%{_bindir}/unsquashfs


%changelog
* Thu Nov 12 2020 tv <tv> 4.4-3.git1.mga8
+ Revision: 1644816
- 4.4-git.1 release (yes that's a true upstream release)

* Thu May 14 2020 tmb <tmb> 4.4-2.mga8
+ Revision: 1583733
- use real upstream release tarball

* Wed May 13 2020 tv <tv> 4.4-1.mga8
+ Revision: 1583542
- 4.4 release + plus a few upstream post release patches

* Mon Mar 16 2020 tv <tv> 4.3-12.mga8
+ Revision: 1556617
- default to zstd compressed intead of xz
- 32 bit process can use too much memory when using PAE or 64 bit kernels
- Prevent overflows when using the -mem option.
- make it gcc future proof
- add zstd compression support (already supported by kernel > 4.14...)
- improved description

* Fri Feb 14 2020 umeabot <umeabot> 4.3-11.mga8
+ Revision: 1522347
- Mageia 8 Mass Rebuild
+ tmb <tmb>
- update url

* Fri Jan 25 2019 alexl <alexl> 4.3-10.mga7
+ Revision: 1360565
- pkgconfig for br
- enable lz4 support

* Mon Oct 01 2018 daviddavid <daviddavid> 4.3-9.mga7
+ Revision: 1314253
- add patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue Sep 19 2017 tv <tv> 4.3-8.mga7
+ Revision: 1155752
- use %%make_build instead of %%make + use our flags, thus fixing debugsources
- switch to %%autopatch
- add source URL

* Thu Apr 07 2016 blino <blino> 4.3-7.mga6
+ Revision: 999045
- enable lzo support
- enable lzma support (with same library than xz support)

* Fri Feb 12 2016 umeabot <umeabot> 4.3-6.mga6
+ Revision: 958914
- Mageia 6 Mass Rebuild

* Tue Jul 21 2015 luigiwalser <luigiwalser> 4.3-5.mga6
+ Revision: 855955
- combine patches from fedora to fix CVE-2015-4645 and CVE-2015-4646

* Tue May 05 2015 tmb <tmb> 4.3-4.mga5
+ Revision: 821280
- fix 2GB-limit of the is_fragment(...) function
- mksquashfs: fix rare race in fragment waiting in filesystem finalisation

* Wed Oct 15 2014 umeabot <umeabot> 4.3-3.mga5
+ Revision: 745937
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.3-2.mga5
+ Revision: 689307
- Mageia 5 Mass Rebuild

* Thu May 15 2014 tv <tv> 4.3-1.mga5
+ Revision: 622939
- new release
- drop merged patches

* Fri Oct 18 2013 umeabot <umeabot> 4.2-7.mga4
+ Revision: 518523
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.2-6.mga3
+ Revision: 382586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 tmb <tmb> 4.2-5.mga3
+ Revision: 338260
- unsquashfs: Fix potential stack overflow in get_component
  (CVE-2012-4024) (P2, from Fedora, mga #8448)
- unsquashfs: Fix integer overflow exploit in queue_init() leading to
  heap overflow. (CVE-2012-4025) (P3, from Fedora, mga #8448)

* Fri Oct 19 2012 tv <tv> 4.2-4.mga3
+ Revision: 308179
- do not obsolete squashfs3-tools for those still targeting 2.6.28- kernels...

* Thu Oct 18 2012 tv <tv> 4.2-3.mga3
+ Revision: 307990
- obsoletes squashfs3-tools which is useless for years

* Fri Dec 30 2011 tmb <tmb> 4.2-2.mga2
+ Revision: 189115
- unsquashfs: add checks for corrupted data in opendir functions
- compressors: mksquashfs/unsquashfs broken if GZIP_SUPPORT is not defined
- fix license
- drop defattr and buildroot

* Thu Mar 03 2011 tmb <tmb> 4.2-1.mga1
+ Revision: 62766
- update to 4.2 final

* Tue Jan 25 2011 tmb <tmb> 4.2-0.20101231.1.mga1
+ Revision: 38330
- imported package squashfs-tools

